Skip to main content
GET
/
api
/
v2
/
getBlockTransactionsExt
Get block transactions (extended)
curl --request GET \
  --url https://toncenter.com/api/v2/getBlockTransactionsExt \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "blocks.transactionsExt",
    "id": {
      "@type": "ton.blockIdExt",
      "workchain": 123,
      "shard": "<string>",
      "seqno": 123,
      "root_hash": "<string>",
      "file_hash": "<string>"
    },
    "req_count": 123,
    "incomplete": true,
    "transactions": [
      {
        "@type": "raw.transactionExt",
        "address": {
          "@type": "accountAddress",
          "account_address": "<string>"
        },
        "utime": 123,
        "data": "<string>",
        "transaction_id": {
          "@type": "internal.transactionId",
          "lt": "<string>",
          "hash": "<string>"
        },
        "fee": "<string>",
        "storage_fee": "<string>",
        "other_fee": "<string>",
        "out_msgs": [
          {
            "@type": "raw.message",
            "hash": "<string>",
            "source": {
              "@type": "accountAddress",
              "account_address": "<string>"
            },
            "destination": {
              "@type": "accountAddress",
              "account_address": "<string>"
            },
            "value": "<string>",
            "extra_currencies": [
              {
                "@type": "extraCurrency",
                "id": 123,
                "amount": "<string>"
              }
            ],
            "fwd_fee": "<string>",
            "ihr_fee": "<string>",
            "created_lt": "<string>",
            "body_hash": "<string>",
            "msg_data": {
              "@type": "msg.dataRaw",
              "body": "<string>",
              "init_state": "<string>"
            }
          }
        ],
        "in_msg": {
          "@type": "raw.message",
          "hash": "<string>",
          "source": {
            "@type": "accountAddress",
            "account_address": "<string>"
          },
          "destination": {
            "@type": "accountAddress",
            "account_address": "<string>"
          },
          "value": "<string>",
          "extra_currencies": [
            {
              "@type": "extraCurrency",
              "id": 123,
              "amount": "<string>"
            }
          ],
          "fwd_fee": "<string>",
          "ihr_fee": "<string>",
          "created_lt": "<string>",
          "body_hash": "<string>",
          "msg_data": {
            "@type": "msg.dataRaw",
            "body": "<string>",
            "init_state": "<string>"
          }
        },
        "account": "<string>"
      }
    ]
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

workchain
integer<int32>
required

The workchain to query. Use -1 for masterchain (validators, system contracts, config) or 0 for basechain (regular accounts and contracts). Most user transactions happen on workchain 0.

shard
string
required

The shard identifier. Masterchain always uses -9223372036854775808. For basechain, shards split and merge dynamically. Use the shards endpoint to discover current shard configuration.

seqno
integer<int32>
required

Masterchain block sequence number (block height). Used to query state at a specific point in time. If omitted, returns the current state.

root_hash
string

The block's root hash for verification. Together with file_hash, this uniquely and cryptographically identifies a block. Only needed when you require proof of block identity.

file_hash
string

The block's file hash for verification. Together with root_hash, this provides cryptographic proof of block identity. Only needed for trustless verification.

after_lt
string

Pagination cursor. Pass the lt value from the last item in your previous response to get the next page. Transactions and messages are ordered by logical time.

after_hash
string

Secondary pagination cursor for block transactions. When multiple accounts have transactions at the same lt, use this to continue from a specific account.

count
integer<int64>
default:40

Maximum number of items to return. The default is 40. Use smaller values for faster responses or larger values to reduce the number of API calls.

Required range: 1 <= x <= 10000

Response

Returns full transaction objects for transactions in the specified block.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.